List volume backups
A GET request sent to the /v1/cloud_block_storage/backups endpoint will provide you with a list of volume backups. You can adjust the output with query parameters.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
region_id? | integerA unique identifier of a cloud region. You can find each ID description by performing the API request described in the Cloud Region section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/cloud_block_storage/backups?region_id=0"[ { "id": "l9avmeG1", "openstack_uuid": "0c345dc7-151c-442d-b19c-6941111db054", "openstack_volume_uuid": "e62e34b7-2d73-4abf-b550-a481fdc418f9", "region_id": 0, "region_code": "NL01", "name": "name1510", "size": 1, "status": "available", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T07:06:40Z" }]